FIGTOIPE(1)

NAME
figtoipe - Convert FIG figures into Ipe format

SYNOPSIS
figtoipe [-g] [-p preamble] FIGfile XMLfile

DESCRIPTION

figtoipe converts files in FIG format (as created, e.g., by xfig) to Ipe's XML format.

figtoipe is not complete. The main lacking feature is the conversion of splines. Arc-boxes are replaced by rectangles. Feel free to improve this version!

The drawing models of FIG and Ipe are somewhat different. Ipe does not support depth ordering independent of grouping, pattern fill, and Postscript fonts.

figtoipe tries to include images specified in the XFIG file. For JPEG pictures, it tries include the compressed image data into the XML file. For files not recognized as JPEG, anytopnm is called; its output is compressed and included in the XML file. Some output of anytopnm might be rejected (e.g. images larger than 5000x5000 pixels or B&W bitmaps), or misunderstood.

OPTIONS
-g group the figure in the output XML

-c  tell ipe to crop PDF output to the boundingbox

-6  write in ipe 6 format instead of ipe 7 format

-p latex
    add latex as a preamble to the generated XML file, e.g.
    '\usepackage{amsmath}'

AUTHORS
Otfried Cheong
Alexander Bürger <acfb@users.sf.net> (image handling)

REPORTING BUGS
Please report bugs using Ipe bugzilla at https://github.com/otfried/ipe-tools/issues

SEE ALSO
More information about Ipe can be found in The Ipe Manual, which can be found in your Ipe installation.

LICENSE & WARRANTY
figtoipe comes with ABSOLUTELY NO WARRANTY. It is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

See the file gpl.txt accompanying the source for details.